> ## Documentation Index > Fetch the complete documentation index at: https://docs.xtremepush.com/llms.txt > Use this file to discover all available pages before exploring further. # List hit > Used to get information on devices hitting the tags that have been seen. For more information on attributes and tags review our [dedicated guide](https://docs.xtremepush.com/docs/attributes-tags). **Returned attributes** * `tag_id` (int) — ID of tag * `device_id` (int) — ID of the device that made the hit * `type` (string) — platform where the tag is hit (eg. Android, iOS, web) * `metric_id` (int) — ID of the metric attached to the hit * `value` (mixed) — value related to tag if set, else null * `create_time` (int) — timestamp of hit ## OpenAPI ````json POST /list/tag-hit { "openapi": "3.1.0", "info": { "title": "external-api", "version": "1" }, "servers": [ { "url": "https://api.eu.xtremepush.com/api/external" } ], "paths": { "/list/tag-hit": { "post": { "summary": "List hit", "description": "Used to get information on devices hitting the tags that have been seen.\n\nFor more information on attributes and tags review our [dedicated guide](https://docs.xtremepush.com/docs/attributes-tags).\n\n**Returned attributes**\n\n* `tag_id` (int) — ID of tag\n* `device_id` (int) — ID of the device that made the hit\n* `type` (string) — platform where the tag is hit (eg. Android, iOS, web)\n* `metric_id` (int) — ID of the metric attached to the hit\n* `value` (mixed) — value related to tag if set, else null\n* `create_time` (int) — timestamp of hit", "operationId": "tag-list-hit", "deprecated": "false", "requestBody": { "required": "true", "content": { "application/json": { "schema": { "type": "object", "required": [ "apptoken" ], "properties": { "apptoken": { "type": "string", "description": "Your App token" }, "select": { "type": "array", "description": "Select what attributes to return, eg. `[\"create_time\", \"tag_id\", \"device_id\"]`", "items": { "type": "string" } }, "limit": { "type": "integer", "format": "int32", "description": "Used with *offset* for pagination, eg. `\"limit\": 50, \"offset\": 0` returns a max of 50 results starting at position 0" }, "offset": { "type": "integer", "format": "int32", "description": "Used with *limit* for pagination" } } }, "examples": { "Get all tag hits paginated": { "value": { "apptoken": "YOUR_APPTOKEN", "limit": "50", "offset": "0", "select": [ "create_time", "tag_id", "device_id" ] } } } } } }, "responses": { "200": { "description": "200", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean", "example": "true", "default": "true" }, "code": { "type": "integer", "example": "200", "default": "0" }, "data": { "type": "array", "items": { "type": "object", "properties": { "tag_id": { "type": "integer", "example": "42526382", "default": "0" }, "profile_id": {}, "device_id": { "type": "integer", "example": "1550292683", "default": "0" }, "type": { "type": "string", "example": "web" }, "application_id": { "type": "integer", "example": "5471", "default": "0" }, "metric_id": {}, "value": {}, "create_time": { "type": "integer", "example": "1603800570", "default": "0" } } } } } }, "examples": { "Result": { "value": { "success": "true", "code": "200", "data": [ { "tag_id": "42526382", "device_id": "1550292683", "type": "web", "application_id": "5471", "create_time": "1603800570" } ] } } } } } }, "400": { "description": "400", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean", "example": "false", "default": "true" }, "code": { "type": "integer", "example": "400", "default": "0" }, "message": { "type": "string", "example": "General error information" }, "errors": { "type": "array", "items": { "type": "object", "properties": { "text": { "type": "array", "items": { "type": "string" } } } } } } }, "examples": { "Result": { "value": { "success": "false", "code": "400", "message": "General error information", "errors": [ { "text": [ "Detailed information about the specific error" ] } ] } } } } } } }, "tags": [ "Tag Methods" ] } } } } ````